package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussEncryptKey;
import com.chaozhanggui.dao.system.entity.TbPlussEncryptKeyWithBLOBs;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussEncryptKeyMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussEncryptKeyWithBLOBs record);

    int insertSelective(TbPlussEncryptKeyWithBLOBs record);

    TbPlussEncryptKeyWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussEncryptKeyWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TbPlussEncryptKeyWithBLOBs record);

    int updateByPrimaryKey(TbPlussEncryptKey record);
}